# ApplicationFramework
TKPShape
PGeom

# PGeom_Plane Class Reference

`#include <PGeom_Plane.hxx>`

Inheritance diagram for PGeom_Plane:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Plane ()
| Create a plane with default values. .
Standard_EXPORT | PGeom_Plane (const gp_Ax3 &aPosition)
| Creates a Plane with these field values. .
| PGeom_Plane (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Plane::PGeom_Plane | ( |  | ) |

Standard_EXPORT PGeom_Plane::PGeom_Plane | ( | const gp_Ax3 & | aPosition | ) |

PGeom_Plane::PGeom_Plane | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Plane::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_ElementarySurface.

The documentation for this class was generated from the following file:

- PGeom_Plane.hxx